Bug 243879 - mail/postfix: Update to 3.4.9
Summary: mail/postfix: Update to 3.4.9
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Matthias Andree
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-02-04 17:52 UTC by Juraj Lutter
Modified: 2020-02-22 13:29 UTC (History)
1 user (show)

See Also:
mandree: maintainer-feedback+
mandree: merge-quarterly+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Juraj Lutter 2020-02-19 07:31:13 UTC
I would like to very kindly ask whether this will be processed or not :-)

Thanks.
Comment 2 Matthias Andree freebsd_committer 2020-02-22 12:00:53 UTC
Maintainer timeout, approving the patch and taking over.
Comment 3 commit-hook freebsd_committer 2020-02-22 12:15:20 UTC
A commit references this bug:

Author: mandree
Date: Sat Feb 22 12:14:16 UTC 2020
New revision: 526760
URL: https://svnweb.freebsd.org/changeset/ports/526760

Log:
  Update Postfix to 3.4.9 (bugfix-only release)

  While here, also strip libexec/postfix/postlogd.

  Announcement: http://www.postfix.org/announcements/postfix-3.4.9.html
   Fixed in all supported stable releases:
      Bug (introduced: Postfix 3.1): smtp_dns_resolver_options were broken while adding support for negative DNS response caching in postscreen. Postfix was inadvertently changed to call res_query() instead of res_search(). Reported by Jaroslav Skarvada.

      Bug (introduced: Postfix 2.5): Postfix ignored the CONNECT macro overrides from a Milter application. Postfix now evaluates the Milter macros for an SMTP CONNECT event after the Postfix-to-Milter connection is negotiated. Problem reported by David B?rgin.

      Bug (introduced: Postfix 3.0): sanitize (remote) server responses before storing them in the verify database, to avoid Postfix warnings about malformed UTF8. Found during code maintenance.

  PR:		243879
  Submitted by:	Juraj Lutter <juraj@lutter.sk>
  Approved by:	maintainer timeout 15d (ohauer@)
  MFH:		2020Q1 (patchlevel upgrade with only bugfixes)
  Differential Revision:	https://reviews.freebsd.org/D23502

Changes:
  head/mail/postfix/Makefile
  head/mail/postfix/distinfo
Comment 4 commit-hook freebsd_committer 2020-02-22 13:29:30 UTC
A commit references this bug:

Author: mandree
Date: Sat Feb 22 13:28:59 UTC 2020
New revision: 526775
URL: https://svnweb.freebsd.org/changeset/ports/526775

Log:
  MFH: r526760

  Update Postfix to 3.4.9 (bugfix-only release)

  While here, also strip libexec/postfix/postlogd.

  Announcement: http://www.postfix.org/announcements/postfix-3.4.9.html
   Fixed in all supported stable releases:
      Bug (introduced: Postfix 3.1): smtp_dns_resolver_options were broken while adding support for negative DNS response caching in postscreen. Postfix was inadvertently changed to call res_query() instead of res_search(). Reported by Jaroslav Skarvada.

      Bug (introduced: Postfix 2.5): Postfix ignored the CONNECT macro overrides from a Milter application. Postfix now evaluates the Milter macros for an SMTP CONNECT event after the Postfix-to-Milter connection is negotiated. Problem reported by David B?rgin.

      Bug (introduced: Postfix 3.0): sanitize (remote) server responses before storing them in the verify database, to avoid Postfix warnings about malformed UTF8. Found during code maintenance.

  PR:		243879
  Submitted by:	Juraj Lutter <juraj@lutter.sk>
  Approved by:	maintainer timeout 15d (ohauer@)
  Differential Revision:	https://reviews.freebsd.org/D23502

  Approved by:	ports-secteam (joneum@)

Changes:
_U  branches/2020Q1/
  branches/2020Q1/mail/postfix/Makefile
  branches/2020Q1/mail/postfix/distinfo